跳至內容
ShopentlyLearn

產品 · 新增檔案 · upload_id

建立 upload_id 後,以 multipart/form-data 上傳檔案,再關聯至商品。下載需要 Bearer 權杖及 category 對應權限;回應直接包含檔案位元組,不使用公開網址或密碼。 共用銷售檔案的明確存取規則。 new_purchases / recent_and_new / selected / all_purchasers.

POST/api/v1/product-file-uploads

cURL 請求

curl --disable --globoff --fail-with-body --silent --show-error \
  --proto '=https' --connect-timeout 5 --max-time 30 \
  --request POST \
  --url 'https://shop.onshopently.com/api/v1/product-file-uploads?category=digital' \
  --header 'Authorization: Bearer EXAMPLE_ACCESS_TOKEN' \
  --header 'Idempotency-Key: files-example-create_upload_api_v1_product_file_uploads_post' \
  --header 'Content-Type: application/json' \
  --data-raw '{"filename":"manual.pdf","product_id":"example","sha256":"5cd2f1cb0e5532b397e7ab1887baf6000c49450fd80ae279eb047c06e4545ecd","size_bytes":46}'

回應

{
  "data": {
    "deleted": false,
    "id": "00000000-0000-4000-8000-000000000001",
    "version": null
  },
  "meta": {
    "request_id": "example"
  }
}

所需權限

身份驗證
存取權杖
最低方案
STANDARD
所需權限
特定欄位所需的附加權限
  • category=internal: 管理商品檔案 · 內部檔案catalog.product_file:write_internal
  • category=customer_document: 管理商品檔案 · 客戶文件catalog.product_file:write_customer_document
  • category=digital: 管理商品檔案 · 數位商品catalog.product_file:write_digital